Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 707270 - games-board/sjeng-11.2-r2 : fails to build with -fno-common or gcc-10
Summary: games-board/sjeng-11.2-r2 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-29 18:19 UTC by Toralf Förster
Modified: 2020-09-10 22:06 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.38 KB, text/plain)
2020-01-29 18:19 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,240.89 KB, text/plain)
2020-01-29 18:19 UTC, Toralf Förster
Details
environment (environment,15.58 KB, text/plain)
2020-01-29 18:19 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,17.73 KB, application/x-bzip)
2020-01-29 18:19 UTC, Toralf Förster
Details
games-board:sjeng-11.2-r2:20200129-162817.log (games-board:sjeng-11.2-r2:20200129-162817.log,42.18 KB, text/plain)
2020-01-29 18:19 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,1.58 KB, application/x-bzip)
2020-01-29 18:19 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,9.81 KB, application/x-bzip)
2020-01-29 18:19 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-29 18:19:08 UTC
segtb.c:926:8: warning: implicit declaration of function ‘load_3piece’ [-Wimplicit-function-declaration]
  926 |    if(!load_3piece(w1_man, b1_man, b2_man, table))
      |        ^~~~~~~~~~~
gcc  -O2 -pipe -march=native -fno-common -Wl,-O1 -Wl,--as-needed -o sjeng  attacks.o crazy.o epd.o learn.o partner.o seval.o ttable.o book.o ecache.o eval.o moves.o search.o sjeng.o utils.o newbook.o proof.o neval.o rcfile.o leval.o draw.o see.o probe.o segtb.o  -lm -lgdbm 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: crazy.o:(.bss+0x1c0): multiple definition of `lrn_losers'; attacks.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: crazy.o:(.bss+0x1c8): multiple definition of `lrn_suicide'; attacks.o:(.bss+0x8): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 29 Jan 2020 15:46:26 +0000

emerge -qpvO games-board/sjeng
[ebuild  N    ] games-board/sjeng-11.2-r2
Comment 1 Toralf Förster gentoo-dev 2020-01-29 18:19:16 UTC
Created attachment 608324 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-29 18:19:20 UTC
Created attachment 608326 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-29 18:19:23 UTC
Created attachment 608328 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-29 18:19:26 UTC
Created attachment 608330 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-29 18:19:29 UTC
Created attachment 608332 [details]
games-board:sjeng-11.2-r2:20200129-162817.log
Comment 6 Toralf Förster gentoo-dev 2020-01-29 18:19:32 UTC
Created attachment 608334 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-01-29 18:19:35 UTC
Created attachment 608336 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-09-10 22:06:47 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f8b267e11eb17e00f6c9ac273a4ad3efd702b724

commit f8b267e11eb17e00f6c9ac273a4ad3efd702b724
Author:     Alexey Sokolov <sokolov@google.com>
AuthorDate: 2020-09-03 21:17:18 +0000
Commit:     James Le Cuirot <chewi@gentoo.org>
CommitDate: 2020-09-10 22:06:30 +0000

    games-board/sjeng: apply debian patches
    
    Install missing files
    
    Closes: https://bugs.gentoo.org/707270
    Package-Manager: Portage-3.0.4, Repoman-2.3.23
    Signed-off-by: Alexey Sokolov <alexey+gentoo@asokolov.org>
    Closes: https://github.com/gentoo/gentoo/pull/17407
    Signed-off-by: James Le Cuirot <chewi@gentoo.org>

 games-board/sjeng/Manifest                |  1 +
 games-board/sjeng/sjeng-11.2-r2.ebuild    | 18 -------------
 games-board/sjeng/sjeng-11.2_p8_p1.ebuild | 45 +++++++++++++++++++++++++++++++
 3 files changed, 46 insertions(+), 18 deletions(-)